%define libsepolver 3.4

Summary: SELinux policy compiler
Name: checkpolicy
Version: 3.5
Release: 3%{?dist}
License: GPLv2
URL: https://github.com/SELinuxProject/selinux
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc make byacc bison flex flex-static
BuildRequires: libsepol-static >= %{libsepolver} libselinux-devel

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number of
utilities with enhanced security functionality designed to add mandatory access
controls to Linux. The Security-enhanced Linux kernel contains new
architectural components originally developed to improve the security of the
Flask operating system. These architectural components provide general support
for the enforcement of many kinds of mandatory access control policies,
including those based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler. Only required
for building policies.

%prep
%setup -q

%build
%make_build LIBDIR="%{_libdir}" CFLAGS="%{optflags}"
%make_build -C test LIBDIR="%{_libdir}" CFLAGS="%{optflags}"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
%make_install
install test/dismod ${RPM_BUILD_ROOT}%{_bindir}/sedismod
install test/dispol ${RPM_BUILD_ROOT}%{_bindir}/sedispol

%files
%license LICENSE
%{_bindir}/checkpolicy
%{_bindir}/checkmodule
%{_bindir}/sedismod
%{_bindir}/sedispol
%{_mandir}/man8/checkpolicy.8.gz
%{_mandir}/man8/checkmodule.8.gz
%{_mandir}/ru/man8/checkpolicy.8.gz
%{_mandir}/ru/man8/checkmodule.8.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 3.5-1
- Upgrade to 3.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 4 2022 Anakin Zhang <anakinzhang@tencent.com> - 3.4-1
- Initial build
